node-tribus-hash-algo
===============

Trbius hashing algorithm for node.js

Usage
-----

Install

```bash
npm install node-tribus-hash-algo
```

```javascript
var tribus = require('node-tribus-hash-algo');

var denariusGenesisBlock = new Buffer("010000000000000000000000000000000000000000000000000000000000000000000000c762a6567f3cc092f0684bb62b7e00a84890b990f07cc71a6bb58d64b98e02e0dee1e352f0ff0f1ec3c927e6", 'hex');

var hashedData = tribus.hash(denariusGenesisBlock);

console.log(hashedData); //<SlowBuffer 2c bc f8 3b 62 91 3d 56 f6 05 c0 e5 81 a4 88 72 83 94 28 c9 2e 5e b7 6c d7 ad 94 bc af 0b 00 00>
console.log(hashedData.toString('hex')); //2cbcf83b62913d56f605c0e581a48872839428c92e5eb76cd7ad94bcaf0b0000


```

Credits
-------
* [Keccak](http://en.wikipedia.org/wiki/Keccak) - Guido Bertoni, Joan Daemen, Michaël Peeters, and Gilles Van Assche
* [Tribus](http://www.denarius.io) - Carsen Klock
* [node-multi-hashing](https://github.com/zone117x/node-multi-hashing) - Base module
